summaryrefslogtreecommitdiff
path: root/tests/mv/mv-special-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/mv-special-1')
-rwxr-xr-xtests/mv/mv-special-117
1 files changed, 14 insertions, 3 deletions
diff --git a/tests/mv/mv-special-1 b/tests/mv/mv-special-1
index 0cc9f1f7b..ca8525dcd 100755
--- a/tests/mv/mv-special-1
+++ b/tests/mv/mv-special-1
@@ -11,8 +11,19 @@ if test -z $other_partition_tmpdir; then
fi
null=.mv-null
-$RM -f $null
-$MKNOD $null p
-$MV $null $other_partition_tmpdir
+
+test_failure=0
+
+$RM -f $null || test_failure=1
+$MKNOD $null p || test_failure=1
+if test $test_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+$MV $null $other_partition_tmpdir || fail=1
$RM -rf $null $other_partition_tmpdir
+
+exit $fail